# Quantified Savagery: Files Repository

This repo is the code supplement to
[Quantified Savagery](http://blog.savageevan.com/), my blog about
my explorations into the Quantified Self.

As mentioned in my [first post](http://blog.savageevan.com/blog/2012/10/02/welcome-to-quantified-savagery/),
the blog will use per-experiment categories. This repo follows a similar
organization. For instance, `/Panic` contains materials relating
to my panic self-tracking experiments.

`/lib` contain stools of general use. For instance, I wrote a utility
called `chdecode` that decodes `chd` parameters in legacy Google Chart URLs,
enabling you to get your data out of services that only show you fancy charts.

This repo does *not* contain:

- Configuration files. This means my code *might not immediately
  work for you*, as there could be required packages to install.
- Pseudocode. Given that you have all required packages, the code posted here
  is *working code*. Algorithms are described directly on the blog.
- Super-short snippets. I use [gist](https://gist.github.com/) for that.
- Media files. Videos, photos, and audio files are linked to directly on
  the blog.
- Enormous data blobs. The *focus* here is really on the *code for generating,
  extracting, manipulating, and visualizing data*. For experiments that
  generate reams of data, I might commit smaller representative samples.

Enough of the negative part! Look around, ask questions, file
issues, submit pull requests - and have fun!
